Subject: Re: [PATCH v2.6.26 2/2] gianfar: Determine TBIPA value dynamically

From: Jeff Garzik <[email-masked]>
Date: Wed, 16 Apr 2008 20:55:51 -0400

Paul Gortmaker wrote:
> TBIPA needs to be set to a value (on connected MDIO buses) that doesn't
> conflict with PHYs on the bus.  By hardcoding it to 0x1f, we were preventing
> boards with PHYs at 0x1f from working properly.  Instead, scan the bus when
> it comes up, and find an address that doesn't have a PHY on it.  The TBI PHY
> configuration code then trusts that the value in TBIPA is either safe, or
> doesn't matter (ie - it's not an active bus with other PHYs).
> 
> Signed-off-by: Andy Fleming <[email-masked]>
> Signed-off-by: Paul Gortmaker <[email-masked]>
> ---
>  drivers/net/gianfar.c     |   27 ++++++++++++++-------------
>  drivers/net/gianfar.h     |    1 -
>  drivers/net/gianfar_mii.c |   38 +++++++++++++++++++++++++++++++++-----
>  drivers/net/gianfar_mii.h |    3 +++
>  4 files changed, 50 insertions(+), 19 deletions(-)

ACK, but failed to apply

please rediff against jgarzik/netdev-2.6.git#upstream or its parent, 
davem/net-2.6.26.git